<h3>Slider</h3>
<hr>

<h6 class="first">Basic: {{sliderValues.val1}}</h6>
<p-slider [(ngModel)]="sliderValues.val1"
          [style]="{'width':'14em', 'cursor':'pointer', 'background':'red'}"></p-slider>
<br/>

<h6>Input: {{sliderValues.val2}}</h6>
<input type="text" pInputText
       [(ngModel)]="sliderValues.val2"
       style="width: 14em"/>
<p-slider [(ngModel)]="sliderValues.val2"
          [style]="{'width':'14em'}"></p-slider>
<br/>

<h6>Animate: {{sliderValues.val3}}</h6>
<p-slider [(ngModel)]="sliderValues.val3"
          [style]="{'width':'14em'}"
          [animate]="true"></p-slider>
<br/>

<h6>Step: {{sliderValues.val4}}</h6>
<p-slider [(ngModel)]="sliderValues.val4"
          [style]="{'width':'14em'}"
          [step]="20"></p-slider>
<br/>

<h6>Range: {{sliderValues.rangeValues[0] + ' - ' + sliderValues.rangeValues[1]}}</h6>
<p-slider [(ngModel)]="sliderValues.rangeValues"
          [style]="{'width':'14em'}"
          [range]="true"></p-slider>
<br/>

<h6>Vertical: {{sliderValues.val5}}</h6>
<p-slider [(ngModel)]="sliderValues.val5"
          [style]="{'height':'14em'}"
          orientation="vertical"></p-slider>
<br/>

<h3>Rating</h3>
<hr>

<p-rating [(ngModel)]="ratingValues.val1"
          (onRate)="handleRate($event)"
          (onCancel)="handleCancelRate($event)"></p-rating>
<span *ngIf="ratingMessage" style="margin-left:10px">{{ratingMessage}}</span>

<p-rating [(ngModel)]="ratingValues.val2"
          iconOnClass="pi pi-circle-on"
          iconOffClass="pi pi-circle-off"
          iconCancelClass="pi pi-times"></p-rating>
<br/>


<h3>InputMask</h3>
<hr>

<div class="ui-g-12 ui-md-6 ui-lg-4">
  <span>Phone Ext</span>
  <p-inputMask mask="(999) 999-9999? x99999"
               placeholder="(999) 999-9999? x99999"
               [(ngModel)]="maskValues.val1"></p-inputMask>
</div>

<div class="ui-g-12 ui-md-6 ui-lg-4">
  <span>Serial Number</span>
  <p-inputMask mask="a*-999-a999"
               placeholder="a*-999-a999"
               slotChar="mm/dd/yyyy"
               [(ngModel)]="maskValues.val2"></p-inputMask>
</div>
